Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
RStruct Struct Reference

`#include <internal.h>`

## Data Fields
struct RBasic | basic
union {
struct {
long len
const VALUE * ptr
} heap
const VALUE ary [RSTRUCT_EMBED_LEN_MAX]
} | as
union {
struct {
long len
const VALUE * ptr
} heap
const VALUE ary [RSTRUCT_EMBED_LEN_MAX]
} | as

## Detailed Description

Definition at line 942 of file internal.h.

## Field Documentation

## ◆ ary

const VALUE RStruct::ary[RSTRUCT_EMBED_LEN_MAX]

Definition at line 949 of file internal.h.

## ◆ as [1/2]

union { ... } RStruct::as

## ◆ as [2/2]

union { ... } RStruct::as

## ◆ basic

struct RBasic RStruct::basic

Definition at line 943 of file internal.h.

## ◆ heap [1/2]

struct { ... } RStruct::heap

## ◆ heap [2/2]

struct { ... } RStruct::heap

## ◆ len

long RStruct::len

Definition at line 946 of file internal.h.

## ◆ ptr

const VALUE* RStruct::ptr

Definition at line 947 of file internal.h.

The documentation for this struct was generated from the following files:

- internal.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h